# ReadyEvent.h File Reference

Ready event plugin. This enables a set of systems to create a signal event, set this signal as ready or unready, and to trigger the event when all systems are ready. More...

`#include "PluginInterface2.h"`
`#include "DS_OrderedList.h"`

## Classes

class | ReadyEvent

## Enumerations

enum | ReadyEventSystemStatus { RES_NOT_WAITING, RES_WAITING, RES_READY, RES_ALL_READY, RES_UNKNOWN_EVENT }

## Detailed Description

Ready event plugin. This enables a set of systems to create a signal event, set this signal as ready or unready, and to trigger the event when all systems are ready.

This file is part of RakNet Copyright 2003 Jenkins Software LLC

Usage of RakNet is subject to the appropriate license agreement.